org.h2.mvstore.type

## Interface StatefulDataType<D>

Type Parameters:
  `D` - type of opaque parameter passed as an operational context to Factory.create()

All Known Implementing Classes:
  RowDataType, ValueDataType, VersionedValueType

    public interface StatefulDataType<D>

A data type that allows to save its state.

### Nested Class Summary

Nested Classes
`static interface` `StatefulDataType.Factory<D>` A factory for data types.

### Method Summary

All Methods Instance Methods Abstract Methods
`StatefulDataType.Factory<D>` `getFactory()`
`void` `save(WriteBuffer buff, MetaType<D> metaType)` Save the state.

### Method Detail

#### save

    void save(WriteBuffer buff,
              MetaType<D> metaType)

Save the state.

Parameters:
  `buff` - the target buffer
  `metaType` - the meta type

#### getFactory

    StatefulDataType.Factory<D> getFactory()